Skip to main content
PATCH
/
recipients
/
{recipient_id}
/
contacts
/
{contact_id}
cURL
curl -X PATCH https://api.bodhveda.com/recipients/recipient_123/contacts/1 \
  -H "Authorization: Bearer bv_xxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{
    "address": "alice.new@example.com"
  }'
{
  "message": "Contact updated",
  "data": {
    "id": 1,
    "medium": "email",
    "address": "alice.new@example.com",
    "is_primary": true,
    "verified_at": null,
    "created_at": "2025-11-07T05:31:56Z",
    "updated_at": "2025-11-07T06:00:00Z"
  }
}
Update a contact’s address and/or its primary flag. Changing the address resets the contact’s verification.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer bv_xxxxxxxxx, where bv_xxxxxxxxx is your API Key with Full access or Recipient acess scope.

Path Parameters

recipient_id
string
required

The unique identifier of the recipient.

contact_id
integer
required

The unique identifier of the contact.

Body

application/json

Provide at least one field. Changing the address resets verified_at.

address
string

New contact address.

is_primary
boolean

Set or unset this contact as the primary for its medium.

Response

200 - application/json

Contact updated